GuideLab API

Update Receiving Category

Update a receiving category's visibility in the receiving flow, settings (e.g. units per item limit), or active status.

PUT
/receiving-categories/{id}

Update a receiving category's visibility in the receiving flow, settings (e.g. units per item limit), or active status.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Receiving category ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/receiving-categories/550e8400-e29b-41d4-a716-446655440000" \  -H "Content-Type: application/json" \  -d '{}'
{  "category": {    "id": "string",    "labId": "string",    "name": "string",    "code": "string",    "description": "string",    "showInFlow": true,    "settings": {      "unitsPerItemLimit": 1    },    "sortOrder": 0,    "isActive": true,    "createdAt": "string",    "updatedAt": "string",    "sources": [      {        "id": "string",        "labId": "string",        "categoryId": "string",        "name": "string",        "code": "string",        "sortOrder": 0,        "isActive": true,        "createdAt": "string",        "updatedAt": "string"      }    ]  }}
Empty
Empty
Empty